%global upstream_name thin-provisioning-tools
%bcond_with prov_rust_pack

Summary:		Tools for manipulating the metadata of device-mapper
Name:			device-mapper-persistent-data
Version:		1.0.4
Release:		6%{?dist}
License:		GPLv3+
URL:			https://github.com/jthornber/%{upstream_name}
Source0:		https://github.com/jthornber/%{upstream_name}/archive/refs/tags/v%{version}.tar.gz
# Packing from the Rust community’s crate registry https://crates.io
Source1:		dmpd104-vendor.tar.gz

Patch5000:		5000-Avoid-stripping-in-install-stage.patch 
Patch5001:		5001-Specify-the-version-of-crc32c-and-rio-to-avoid-downl.patch

BuildRequires:		expat-devel libaio-devel libstdc++-devel boost-devel
BuildRequires:		autoconf gcc-c++ make 
%if %{with prov_rust_pack}
BuildRequires:		rust-packaging rust cargo
%else
BuildRequires:		rust-toolset
%endif
Requires:		    expat

%description
This package provides a suite of tools for manipulating the metadata
of the dm-thin, dm-cache and dm-era device-mapper targets.

%prep
%autosetup -n %{upstream_name}-%{version} -p1
%cargo_prep -V 1

echo %{version}-%{release} > VERSION

%build
%cargo_build

%install
%make_install MANDIR=%{_mandir} install

%files
%license COPYING
%doc README.md
%{_sbindir}/pdata_tools
%{_sbindir}/cache_check
%{_sbindir}/cache_dump
%{_sbindir}/cache_metadata_size
%{_sbindir}/cache_repair
%{_sbindir}/cache_restore
%{_sbindir}/cache_writeback
%{_sbindir}/era_check
%{_sbindir}/era_dump
%{_sbindir}/era_invalidate
%{_sbindir}/era_restore
%{_sbindir}/thin_check
%{_sbindir}/thin_delta
%{_sbindir}/thin_dump
%{_sbindir}/thin_ls
%{_sbindir}/thin_metadata_size
%{_sbindir}/thin_repair
%{_sbindir}/thin_restore
%{_sbindir}/thin_rmap
%{_sbindir}/thin_trim
%{_sbindir}/thin_metadata_pack
%{_sbindir}/thin_metadata_unpack
%{_mandir}/man8/cache_check.8.gz
%{_mandir}/man8/cache_dump.8.gz
%{_mandir}/man8/cache_metadata_size.8.gz
%{_mandir}/man8/cache_repair.8.gz
%{_mandir}/man8/cache_restore.8.gz
%{_mandir}/man8/cache_writeback.8.gz
%{_mandir}/man8/era_check.8.gz
%{_mandir}/man8/era_dump.8.gz
%{_mandir}/man8/era_invalidate.8.gz
%{_mandir}/man8/era_restore.8.gz
%{_mandir}/man8/thin_check.8.gz
%{_mandir}/man8/thin_delta.8.gz
%{_mandir}/man8/thin_dump.8.gz
%{_mandir}/man8/thin_ls.8.gz
%{_mandir}/man8/thin_metadata_size.8.gz
%{_mandir}/man8/thin_repair.8.gz
%{_mandir}/man8/thin_restore.8.gz
%{_mandir}/man8/thin_rmap.8.gz
%{_mandir}/man8/thin_trim.8.gz
%{_mandir}/man8/thin_metadata_pack.8.gz
%{_mandir}/man8/thin_metadata_unpack.8.gz

%changelog
* Wed Jul 17 2024 Rebuild Robot <rebot@opencloudos.org> - 1.0.4-6
- [Type] bugfix
- [DESC] Rebuilt for rust-toolset

* Mon Jul 08 2024 Rebuild Robot <rebot@opencloudos.org> - 1.0.4-5
- [Type] bugfix
- [DESC] Rebuilt for rust-packaging

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 31 2023 rockerzhu rockerzhu@tencent.com - 1.0.4-3
- Rebuilt for boost 1.82.0

* Tue Jul 18 2023 Wang Guodong <gordonwwang@tencent.com> - 1.0.4-2
- Rebuilt for rust 1.69.0

* Tue Jul 11 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.0.4-1
- Upgrade to upstream version 1.0.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 14 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.9.0-1
- Initial build
